Bug 500954 - Kernel oops in kernel 2.6.29.3-140.fc11.x86_64 probably due to usb 3G Modem
Kernel oops in kernel 2.6.29.3-140.fc11.x86_64 probably due to usb 3G Modem
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 507079 507099 508579 509640 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 01:12 EDT by Fabio Canepa
Modified: 2009-09-14 08:29 EDT (History)
13 users (show)

See Also:
Fixed In Version: 2.6.29.6-213.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Canepa 2009-05-15 01:12:12 EDT
Description of problem:
Kernel oops when booting with usb 3G modem attached

Version-Release number of selected component (if applicable):
kernel-2.6.29.3-140.fc11.x86_64

How reproducible:
Not systematic but sporadically

Steps to Reproduce:
1.Attach ONDA Communication S.p.A. ET502HS/MT505UP ZTE MF632 to an USB port with pc turned off
2. Turn on pc
3. Log on
  
Actual results:
Kernel oops alert

Expected results:
No kernel oops

Additional info:
The modem works also after the kernel oops

This is the log in syslog:

May 10 08:50:28 f11fabio kernel: usb 4-2: new full speed USB device using uhci_hcd and address 3
May 10 08:50:28 f11fabio kernel: hub 4-0:1.0: unable to enumerate USB device on port 2
May 10 08:50:28 f11fabio kernel: hub 1-0:1.0: unable to enumerate USB device on port 6
May 10 08:50:30 f11fabio kernel: usb 4-2: new full speed USB device using uhci_hcd and address 4
May 10 08:50:30 f11fabio kernel: usb 4-2: config 1 has an invalid interface number: 5 but max is 4
May 10 08:50:30 f11fabio kernel: usb 4-2: config 1 has no interface number 0
May 10 08:50:30 f11fabio kernel: usb 4-2: New USB device found, idVendor=19d2, idProduct=0002
May 10 08:50:30 f11fabio kernel: usb 4-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
May 10 08:50:30 f11fabio kernel: usb 4-2: Product: ONDA CDMA Technologies MSM
May 10 08:50:30 f11fabio kernel: usb 4-2: Manufacturer: Qualcomm, Incorporated
May 10 08:50:30 f11fabio kernel: usb 4-2: SerialNumber: Data Interface
May 10 08:50:30 f11fabio kernel: usb 4-2: configuration #1 chosen from 1 choice
May 10 08:50:30 f11fabio kernel: option 4-2:1.1: GSM modem (1-port) converter detected
May 10 08:50:30 f11fabio kernel: usb 4-2: GSM modem (1-port) converter now attached to ttyUSB0
May 10 08:50:30 f11fabio kernel: option 4-2:1.2: GSM modem (1-port) converter detected
May 10 08:50:30 f11fabio kernel: usb 4-2: GSM modem (1-port) converter now attached to ttyUSB1
May 10 08:50:30 f11fabio kernel: option 4-2:1.3: GSM modem (1-port) converter detected
May 10 08:50:30 f11fabio kernel: usb 4-2: GSM modem (1-port) converter now attached to ttyUSB2
May 10 08:50:30 f11fabio kernel: option 4-2:1.4: GSM modem (1-port) converter detected
May 10 08:50:30 f11fabio kernel: usb 4-2: GSM modem (1-port) converter now attached to ttyUSB3
May 10 08:50:30 f11fabio kernel: option 4-2:1.5: GSM modem (1-port) converter detected
May 10 08:50:30 f11fabio kernel: usb 4-2: GSM modem (1-port) converter now attached to ttyUSB4
May 10 08:50:34 f11fabio kernel: BUG: sleeping function called from invalid context at kernel/mutex.c:88
May 10 08:50:34 f11fabio kernel: in_atomic(): 1, irqs_disabled(): 1, pid: 1480, name: hald
May 10 08:50:34 f11fabio kernel: Pid: 1480, comm: hald Not tainted 2.6.29.3-135.fc11.x86_64 #1
May 10 08:50:34 f11fabio kernel: Call Trace:
May 10 08:50:34 f11fabio kernel: <IRQ>  [<ffffffff8103ff0f>] __might_sleep+0x10b/0x110
May 10 08:50:34 f11fabio kernel: [<ffffffff813aa446>] mutex_lock+0x22/0x38
May 10 08:50:34 f11fabio kernel: [<ffffffff8122d188>] echo_set_canon_col+0x1e/0x45
May 10 08:50:34 f11fabio kernel: [<ffffffff8122e835>] n_tty_receive_buf+0x2fb/0xe50
May 10 08:50:34 f11fabio kernel: [<ffffffff8102a5b1>] ? flat_send_IPI_mask+0x11/0x13
May 10 08:50:34 f11fabio kernel: [<ffffffff81020e70>] ? native_smp_send_reschedule+0x53/0x55
May 10 08:50:34 f11fabio kernel: [<ffffffff81038b95>] ? resched_task+0x71/0x75
May 10 08:50:34 f11fabio kernel: [<ffffffff813ab87c>] ? _spin_unlock_irqrestore+0x2c/0x42
May 10 08:50:34 f11fabio kernel: [<ffffffff8102a103>] ? default_spin_lock_flags+0x9/0xe
May 10 08:50:34 f11fabio kernel: [<ffffffff813ab87c>] ? _spin_unlock_irqrestore+0x2c/0x42
May 10 08:50:34 f11fabio kernel: [<ffffffff81230488>] ? tty_ldisc_try+0x3c/0x44
May 10 08:50:34 f11fabio kernel: [<ffffffff812311c1>] flush_to_ldisc+0x10c/0x19f
May 10 08:50:34 f11fabio kernel: [<ffffffff812312a4>] tty_flip_buffer_push+0x50/0x61
May 10 08:50:34 f11fabio kernel: [<ffffffffa0126bb9>] option_indat_callback+0xc3/0x12a [option]
May 10 08:50:34 f11fabio kernel: [<ffffffff8129efd9>] usb_hcd_giveback_urb+0x8b/0xbf
May 10 08:50:34 f11fabio kernel: [<ffffffff812b8471>] uhci_giveback_urb+0x10d/0x19a
May 10 08:50:34 f11fabio kernel: [<ffffffff812b8db6>] uhci_scan_schedule+0x5b0/0x872
May 10 08:50:34 f11fabio kernel: [<ffffffff8102a103>] ? default_spin_lock_flags+0x9/0xe
May 10 08:50:34 f11fabio kernel: [<ffffffff812bac3b>] uhci_irq+0x130/0x149
May 10 08:50:34 f11fabio kernel: [<ffffffff8129eafb>] usb_hcd_irq+0x4c/0xab
May 10 08:50:34 f11fabio kernel: [<ffffffff8104e1b2>] ? __do_softirq+0x13f/0x155
May 10 08:50:34 f11fabio kernel: [<ffffffff8108c073>] handle_IRQ_event+0x38/0x74
May 10 08:50:34 f11fabio kernel: [<ffffffff8108da1d>] handle_fasteoi_irq+0x91/0xde
May 10 08:50:34 f11fabio kernel: [<ffffffff81013ba4>] do_IRQ+0xd9/0x151
May 10 08:50:34 f11fabio kernel: [<ffffffff81011e93>] ret_from_intr+0x0/0x2e
Comment 1 Fabio Canepa 2009-05-15 01:17:17 EDT
The log was with a previous version of the kernel, this is with 2.6.29.3-140.fc11.x86_64:

May 15 06:58:31 f11fabio kernel: [<ffffffff8122d0ff>] echo_char_raw+0x27/0x60
May 15 06:58:31 f11fabio kernel: [<ffffffff8122eefc>] n_tty_receive_buf+0x9c2/0xe50
May 15 06:58:31 f11fabio kernel: [<ffffffff8102a5b1>] ? flat_send_IPI_mask+0x11/0x13
May 15 06:58:31 f11fabio kernel: [<ffffffff81020e70>] ? native_smp_send_reschedule+0x53/0x55
May 15 06:58:31 f11fabio kernel: [<ffffffff81038b95>] ? resched_task+0x71/0x75
May 15 06:58:31 f11fabio kernel: [<ffffffff813ab87c>] ? _spin_unlock_irqrestore+0x2c/0x42
May 15 06:58:31 f11fabio kernel: [<ffffffff8102a103>] ? default_spin_lock_flags+0x9/0xe
May 15 06:58:31 f11fabio kernel: [<ffffffff813ab87c>] ? _spin_unlock_irqrestore+0x2c/0x42
May 15 06:58:31 f11fabio kernel: [<ffffffff81230488>] ? tty_ldisc_try+0x3c/0x44
May 15 06:58:31 f11fabio kernel: [<ffffffff812311c1>] flush_to_ldisc+0x10c/0x19f
May 15 06:58:31 f11fabio kernel: [<ffffffff812312a4>] tty_flip_buffer_push+0x50/0x61
May 15 06:58:31 f11fabio kernel: [<ffffffffa0187bb9>] option_indat_callback+0xc3/0x12a [option]
May 15 06:58:31 f11fabio kernel: [<ffffffff8129efd9>] usb_hcd_giveback_urb+0x8b/0xbf
May 15 06:58:31 f11fabio kernel: [<ffffffff812b8471>] uhci_giveback_urb+0x10d/0x19a
May 15 06:58:31 f11fabio kernel: [<ffffffff812b8db6>] uhci_scan_schedule+0x5b0/0x872
May 15 06:58:31 f11fabio kernel: [<ffffffff810cb87b>] ? virt_to_head_page+0xe/0x31
May 15 06:58:31 f11fabio kernel: [<ffffffff812bac3b>] uhci_irq+0x130/0x149
May 15 06:58:31 f11fabio kernel: [<ffffffff8129eafb>] usb_hcd_irq+0x4c/0xab
May 15 06:58:31 f11fabio kernel: [<ffffffff8104e1b2>] ? __do_softirq+0x13f/0x155
May 15 06:58:31 f11fabio kernel: [<ffffffff8108c073>] handle_IRQ_event+0x38/0x74
May 15 06:58:31 f11fabio kernel: [<ffffffff8108da1d>] handle_fasteoi_irq+0x91/0xde
May 15 06:58:31 f11fabio kernel: [<ffffffff81013ba4>] do_IRQ+0xd9/0x151
May 15 06:58:31 f11fabio kernel: [<ffffffff81011e93>] ret_from_intr+0x0/0x2e
Comment 2 Chuck Ebbert 2009-06-09 00:24:52 EDT
Probably the low_latency bug again... this patch fixes a bunch of those including option:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff_plain;h=2400a2bfbd0e912193fe3b077f492d4980141813
Comment 3 Bug Zapper 2009-06-09 11:51:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Sergio Monteiro Basto 2009-06-13 19:29:23 EDT
my ZTE MF622 , if pluged and I am connect to internet. If I unplug lock the system.
The patch mention in this bug have been applied on fedora kernels , stock 2.6.29 ?
Comment 5 Dan Williams 2009-06-22 09:54:24 EDT
Confirm the patch fixes things with a few different modems on F11.  Can we get this pushed in an update?
Comment 6 Dan Williams 2009-06-22 09:54:44 EDT
*** Bug 507099 has been marked as a duplicate of this bug. ***
Comment 7 Chuck Ebbert 2009-06-22 23:22:14 EDT
Fixed in 2.6.29.5-196
Comment 8 A S Alam 2009-06-25 04:47:42 EDT
*** Bug 507079 has been marked as a duplicate of this bug. ***
Comment 9 Andreas Bierfert 2009-06-25 14:08:04 EDT
Just tried with -198 build from koji. NetworkManager now is not able to connect to the network at all with my option card (see #507099 for the crash NetworkManager causes with the latest stable kernel).

Jun 25 19:37:16 spica NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Vodafone (D2) Default 1'
Jun 25 19:37:16 spica NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4 (reason 0)
Jun 25 19:37:16 spica NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Jun 25 19:37:16 spica NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Jun 25 19:37:16 spica NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Jun 25 19:37:17 spica NetworkManager: <WARN>  init_done(): Trying alternate modem initialization (1)
Jun 25 19:37:18 spica NetworkManager: <WARN>  init_done(): Trying alternate modem initialization (2)
Jun 25 19:37:19 spica NetworkManager: <WARN>  init_done(): Trying alternate modem initialization (3)
Jun 25 19:37:20 spica NetworkManager: <WARN>  init_done(): Trying alternate modem initialization (4)
Jun 25 19:37:21 spica NetworkManager: <WARN>  init_done(): Trying alternate modem initialization (5)
Jun 25 19:37:22 spica NetworkManager: <WARN>  init_done(): Modem initialization failed
Jun 25 19:37:22 spica NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9 (reason 28)
Jun 25 19:37:22 spica NetworkManager: <info>  Marking connection 'Vodafone (D2) Default 1' invalid.
Jun 25 19:37:22 spica NetworkManager: <info>  Activation (ttyUSB0) failed.
Jun 25 19:37:22 spica NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3 (reason 0)
Jun 25 19:37:22 spica NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Jun 25 19:37:22 spica NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Jun 25 19:37:22 spica NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Comment 10 Chuck Ebbert 2009-06-30 12:26:06 EDT
*** Bug 508579 has been marked as a duplicate of this bug. ***
Comment 11 Sergio Monteiro Basto 2009-07-03 18:33:58 EDT
Hi, I tried kernel-PAE-2.6.29.5-201.fc11.i686.rpm
from koji and don't had any improvement ,
On my case when I unpluged usb 3G when connect to internet, X goes down and  
my laptop hangs, which don't happens on f10 or lower .

Jul  3 18:08:59 segulix pppd[2753]: Terminating on signal 15
Jul  3 18:08:59 segulix pppd[2753]: Modem hangup
Jul  3 18:08:59 segulix pppd[2753]: Connect time 116.4 minutes.
Jul  3 18:08:59 segulix pppd[2753]: Sent 3152680 bytes, received 109295814 bytes.
Jul  3 18:08:59 segulix pppd[2753]: MPPE disabled
Jul  3 18:08:59 segulix pppd[2753]: Connection terminated.
Jul  3 18:09:01 segulix NetworkManager: <info>  (eth1): carrier now OFF (device state 3)
Jul  3 18:09:01 segulix NetworkManager: <info>  (eth1): device state change: 3 -> 2
Jul  3 18:09:01 segulix NetworkManager: <info>  (eth1): deactivating device (reason: 40).
Jul  3 18:09:01 segulix kernel: b44: eth1: Link is down.
Jul  3 18:09:01 segulix kernel: usb 2-2: USB disconnect, address 2
Jul  3 18:09:01 segulix pppd[2753]: Exit.
Jul  3 18:09:03 segulix init: tty4 main process (1762) killed by TERM signal
Jul  3 18:09:03 segulix init: tty5 main process (1765) killed by TERM signal
Jul  3 18:09:03 segulix init: tty2 main process (1769) killed by TERM signal
Jul  3 18:09:03 segulix init: tty3 main process (1770) killed by TERM signal
Jul  3 18:09:03 segulix init: tty6 main process (1773) killed by TERM signal
Jul  3 18:09:03 segulix dnsmasq[1691]: no servers found in /etc/resolv.conf, will retry
Jul  3 18:09:03 segulix dnsmasq[1691]: exiting on receipt of SIGTERM
Jul  3 18:09:05 segulix NetworkManager: <info>  HAL disappeared
Comment 12 Fabio Canepa 2009-07-03 20:13:32 EDT
I also have kernel oops if I unplug the modem while connected to internet. In my case X don't goes down and if I re-plug the modem I can connect to internet.
I'm on x64 and I'm using 2.6.29.6-211.fc11.x86_64 from koji.
The trace is:
Jul  4 02:06:49 f11fabio kernel: Modules linked in: tun ip6table_filter ip6_tables ip6t_REJECT nf_conntrack_ipv6 ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc option usbserial ipv6 cpufreq_ondemand acpi_cpufreq freq_table fuse dm_multipath kvm_intel kvm uinput snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_pcm arc4 snd_timer ecb snd iwl3945 mac80211 iTCO_wdt lib80211 iTCO_vendor_support tg3 btusb soundcore cfg80211 dell_laptop i2c_i801 dcdbas snd_page_alloc wmi yenta_socket bluetooth rsrc_nonstatic joydev ata_generic pata_acpi i915 drm i2c_algo_bit i2c_core video output [last unloaded: ip6_tables]
Jul  4 02:06:49 f11fabio kernel: Pid: 2405, comm: pppd Not tainted 2.6.29.6-211.fc11.x86_64 #1
Jul  4 02:06:49 f11fabio kernel: Call Trace:
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8104883f>] warn_slowpath+0xbc/0xf0
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8102a42d>] ? flat_send_IPI_mask+0x11/0x13
Jul  4 02:06:49 f11fabio kernel: [<ffffffff81020e60>] ? native_smp_send_reschedule+0x53/0x55
Jul  4 02:06:49 f11fabio kernel: [<ffffffff81038a15>] ? resched_task+0x71/0x75
Jul  4 02:06:49 f11fabio kernel: [<ffffffff810399f1>] ? update_curr+0xf6/0xff
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8103a0e9>] ? __dequeue_entity+0x33/0x38
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8109e9df>] ? find_get_page+0x55/0x80
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8109ebb9>] ? lock_page+0x27/0x3f
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8109ed15>] ? find_lock_page+0x33/0x57
Jul  4 02:06:49 f11fabio kernel: [<ffffffff811b47f0>] kref_get+0x25/0x2d
Jul  4 02:06:49 f11fabio kernel: [<ffffffff811b3ad8>] kobject_get+0x1a/0x21
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8125096e>] get_device+0x1c/0x24
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8129a5ee>] usb_get_dev+0x22/0x29
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8129f596>] usb_hcd_unlink_urb+0x3e/0x89
Jul  4 02:06:49 f11fabio kernel: [<ffffffff812a08a1>] usb_kill_urb+0x59/0xd1
Jul  4 02:06:49 f11fabio kernel: [<ffffffff813aaafb>] ? mutex_lock+0x27/0x38
Jul  4 02:06:49 f11fabio kernel: [<ffffffffa022275c>] option_close+0xa0/0xd4 [option]
Jul  4 02:06:49 f11fabio kernel: [<ffffffffa0288cd4>] serial_close+0x9d/0x156 [usbserial]
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8122c43e>] tty_release_dev+0x198/0x49a
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8122c75e>] tty_release+0x1e/0x29
Jul  4 02:06:49 f11fabio kernel: [<ffffffff810d60a0>] __fput+0xf9/0x1a0
Jul  4 02:06:49 f11fabio kernel: [<ffffffff810d6161>] fput+0x1a/0x1c
Jul  4 02:06:49 f11fabio kernel: [<ffffffff810d34a1>] filp_close+0x68/0x72
Jul  4 02:06:49 f11fabio kernel: [<ffffffff810d3557>] sys_close+0xac/0xea
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Jul  4 02:06:49 f11fabio kernel: ---[ end trace fedd4eb1ac1ef3a0 ]---
Jul  4 02:06:49 f11fabio kernel: BUG: unable to handle kernel NULL pointer dereference at 000000000000015c
Jul  4 02:06:49 f11fabio kernel: IP: [<ffffffff8129f3ff>] unlink1+0xce/0xed
Jul  4 02:06:49 f11fabio kernel: PGD 0 
Jul  4 02:06:49 f11fabio kernel: Oops: 0000 [#1] SMP 
Jul  4 02:06:49 f11fabio kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:1d.2/usb4/idVendor
Jul  4 02:06:49 f11fabio kernel: CPU 0 
Jul  4 02:06:49 f11fabio kernel: Modules linked in: tun ip6table_filter ip6_tables ip6t_REJECT nf_conntrack_ipv6 ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc option usbserial ipv6 cpufreq_ondemand acpi_cpufreq freq_table fuse dm_multipath kvm_intel kvm uinput snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_pcm arc4 snd_timer ecb snd iwl3945 mac80211 iTCO_wdt lib80211 iTCO_vendor_support tg3 btusb soundcore cfg80211 dell_laptop i2c_i801 dcdbas snd_page_alloc wmi yenta_socket bluetooth rsrc_nonstatic joydev ata_generic pata_acpi i915 drm i2c_algo_bit i2c_core video output [last unloaded: ip6_tables]
Jul  4 02:06:49 f11fabio kernel: Pid: 2405, comm: pppd Tainted: G        W  2.6.29.6-211.fc11.x86_64 #1 Latitude D620                   
Jul  4 02:06:49 f11fabio kernel: RIP: 0010:[<ffffffff8129f3ff>]  [<ffffffff8129f3ff>] unlink1+0xce/0xed
Jul  4 02:06:49 f11fabio kernel: RSP: 0018:ffff880057979c68  EFLAGS: 00010206
Jul  4 02:06:49 f11fabio kernel: RAX: ffff88007d91bb00 RBX: ffff880075d99900 RCX: ffff880075d99900
Jul  4 02:06:49 f11fabio kernel: RDX: 00000000fffffffe RSI: ffff880075d99900 RDI: 0000000000000044
Jul  4 02:06:49 f11fabio kernel: RBP: ffff880057979ca8 R08: 00000000fffffffe R09: 0000000000000000
Jul  4 02:06:49 f11fabio kernel: R10: 000000000000000f R11: 0000000000009f20 R12: 0000000000000044
Jul  4 02:06:49 f11fabio kernel: R13: 0000000000000000 R14: 00000000fffffffe R15: ffff8800658002a8
Jul  4 02:06:49 f11fabio kernel: FS:  00007fbc574636f0(0000) GS:ffffffff817b7000(0000) knlGS:0000000000000000
Jul  4 02:06:49 f11fabio kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul  4 02:06:49 f11fabio kernel: CR2: 000000000000015c CR3: 00000000579f3000 CR4: 00000000000026e0
Jul  4 02:06:49 f11fabio kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul  4 02:06:49 f11fabio kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul  4 02:06:49 f11fabio kernel: Process pppd (pid: 2405, threadinfo ffff880057978000, task ffff88006a5a0000)
Jul  4 02:06:49 f11fabio kernel: Stack:
Jul  4 02:06:49 f11fabio kernel: ffffffff813abf38 0000000000000010 0000000000000282 ffff880075d99900
Jul  4 02:06:49 f11fabio kernel: 00000000fffffffe 0000000000000000 0000000000000282 ffff8800658002a8
Jul  4 02:06:49 f11fabio kernel: ffff880057979cd8 ffffffff8129f5bd ffff880075d99900 0000000000000008
Jul  4 02:06:49 f11fabio kernel: Call Trace:
Jul  4 02:06:49 f11fabio kernel: [<ffffffff813abf38>] ? _spin_unlock_irqrestore+0x38/0x42
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8129f5bd>] usb_hcd_unlink_urb+0x65/0x89
Jul  4 02:06:49 f11fabio kernel: [<ffffffff812a08a1>] usb_kill_urb+0x59/0xd1
Jul  4 02:06:49 f11fabio kernel: [<ffffffff813aaafb>] ? mutex_lock+0x27/0x38
Jul  4 02:06:49 f11fabio kernel: [<ffffffffa022275c>] option_close+0xa0/0xd4 [option]
Jul  4 02:06:49 f11fabio kernel: [<ffffffffa0288cd4>] serial_close+0x9d/0x156 [usbserial]
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8122c43e>] tty_release_dev+0x198/0x49a
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8122c75e>] tty_release+0x1e/0x29
Jul  4 02:06:49 f11fabio kernel: [<ffffffff810d60a0>] __fput+0xf9/0x1a0
Jul  4 02:06:49 f11fabio kernel: [<ffffffff810d6161>] fput+0x1a/0x1c
Jul  4 02:06:49 f11fabio kernel: [<ffffffff810d34a1>] filp_close+0x68/0x72
Jul  4 02:06:49 f11fabio kernel: [<ffffffff810d3557>] sys_close+0xac/0xea
Jul  4 02:06:49 f11fabio kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Jul  4 02:06:49 f11fabio kernel: Code: d8 ff 90 4c 89 e7 44 89 f2 48 89 de e8 8d fe ff ff 4c 89 ff e8 e7 c8 10 00 48 8b 75 c8 48 c7 c7 50 eb 8b 81 e8 03 cb 10 00 eb 0d <48> 8b 87 18 01 00 00 ff 50 68 41 89 c5 48 83 c4 18 44 89 e8 5b 
Jul  4 02:06:49 f11fabio kernel: RIP  [<ffffffff8129f3ff>] unlink1+0xce/0xed
Jul  4 02:06:49 f11fabio kernel: RSP <ffff880057979c68>
Jul  4 02:06:49 f11fabio kernel: CR2: 000000000000015c
Jul  4 02:06:49 f11fabio kernel: ---[ end trace fedd4eb1ac1ef3a1 ]---
Comment 13 Fabio Canepa 2009-07-06 03:35:00 EDT
In comment #12 I said that in my case X don't goes down but yesterday I had a crash with system freeze. The led on the keyboard where blinking I I cannot do nothing..
Comment 14 Chuck Ebbert 2009-07-06 12:23:03 EDT
*** Bug 509640 has been marked as a duplicate of this bug. ***
Comment 15 Fedora Update System 2009-07-08 08:14:26 EDT
kernel-2.6.29.6-213.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-213.fc11
Comment 16 Fabio Canepa 2009-07-08 12:19:41 EDT
Same problem even with kernel-2.6.29.6-213

Jul  8 18:18:06 f11fabio kernel: Modules linked in: ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc option usbserial ipv6 cpufreq_ondemand acpi_cpufreq freq_table fuse dm_multipath kvm_intel kvm uinput snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_pcm arc4 snd_timer ecb snd iTCO_wdt iTCO_vendor_support soundcore iwl3945 mac80211 lib80211 tg3 yenta_socket btusb i2c_i801 snd_page_alloc cfg80211 wmi dell_laptop bluetooth rsrc_nonstatic dcdbas joydev ata_generic pata_acpi i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]                                                                                                                                                 
Jul  8 18:18:06 f11fabio kernel: Pid: 14496, comm: pppd Not tainted 2.6.29.6-213.fc11.x86_64 #1 Latitude D620                                                                      
Jul  8 18:18:06 f11fabio kernel: RIP: 0010:[<ffffffff812a087a>]  [<ffffffff812a087a>] usb_kill_urb+0x32/0xd1                                                                       
Jul  8 18:18:06 f11fabio kernel: RSP: 0018:ffff88004e1e1ce8  EFLAGS: 00010286                                                                                                      
Jul  8 18:18:06 f11fabio kernel: RAX: 0000000000000000 RBX: ffffffffffffffff RCX: 0000000000000000                                                                                 
Jul  8 18:18:06 f11fabio kernel: RDX: 0000000100000000 RSI: 0000000000000232 RDI: ffffffff81515f6a                                                                                 
Jul  8 18:18:06 f11fabio kernel: RBP: ffff88004e1e1d28 R08: 0000000000000000 R09: 0000000000000009                                                                                 
Jul  8 18:18:06 f11fabio kernel: R10: 00007fff4ee66d70 R11: 0000000000000246 R12: 0000000000000008                                                                                 
Jul  8 18:18:06 f11fabio kernel: R13: ffff88002a19c800 R14: ffff880059869b40 R15: ffff880059869ea8                                                                                 
Jul  8 18:18:06 f11fabio kernel: FS:  00007f73441fb6f0(0000) GS:ffffffff817b7000(0000) knlGS:0000000000000000                                                                      
Jul  8 18:18:06 f11fabio kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033                                                                                                 
Jul  8 18:18:06 f11fabio kernel: CR2: 0000000000000047 CR3: 0000000059289000 CR4: 00000000000026e0                                                                                 
Jul  8 18:18:06 f11fabio kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000                                                                                 
Jul  8 18:18:06 f11fabio kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400                                                                                 
Jul  8 18:18:06 f11fabio kernel: Process pppd (pid: 14496, threadinfo ffff88004e1e0000, task ffff88001a3fc500)                                                                     
Jul  8 18:18:06 f11fabio kernel: Stack:                                                                                                                                            
Jul  8 18:18:06 f11fabio kernel: ffff88004e1e1cf8 0000000000000246 ffff880059869ea8 ffff880059869e40                                                                               
Jul  8 18:18:06 f11fabio kernel: ffff88004e1e1d28 ffffffff813aaafb ffff880062509800 0000000000000008
Jul  8 18:18:06 f11fabio kernel: ffff88004e1e1d68 ffffffffa0293773 ffff880062509890 ffff880062509800
Jul  8 18:18:06 f11fabio kernel: Call Trace:
Jul  8 18:18:06 f11fabio kernel: [<ffffffff813aaafb>] ? mutex_lock+0x27/0x38
Jul  8 18:18:06 f11fabio kernel: [<ffffffffa0293773>] option_close+0xb7/0xd4 [option]
Jul  8 18:18:06 f11fabio kernel: [<ffffffffa0289cd4>] serial_close+0x9d/0x156 [usbserial]
Jul  8 18:18:06 f11fabio kernel: [<ffffffff8122c43e>] tty_release_dev+0x198/0x49a
Jul  8 18:18:06 f11fabio kernel: [<ffffffff8122c75e>] tty_release+0x1e/0x29
Jul  8 18:18:06 f11fabio kernel: [<ffffffff810d60a0>] __fput+0xf9/0x1a0
Jul  8 18:18:06 f11fabio kernel: [<ffffffff810d6161>] fput+0x1a/0x1c
Jul  8 18:18:06 f11fabio kernel: [<ffffffff810d34a1>] filp_close+0x68/0x72
Jul  8 18:18:06 f11fabio kernel: [<ffffffff810d3557>] sys_close+0xac/0xea
Jul  8 18:18:06 f11fabio kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Jul  8 18:18:06 f11fabio kernel: Code: 48 83 ec 30 0f 1f 44 00 00 be 32 02 00 00 48 89 fb 48 c7 c7 6a 5f 51 81 e8 18 f4 d9 ff e8 c4 9a 10 00 48 85 db 0f 84 96 00 00 00 <48> 83 7b 48 00 0f 84 8b 00 00 00 48 83 7b 50 00 0f 84 80 00 00
Jul  8 18:18:06 f11fabio kernel: RIP  [<ffffffff812a087a>] usb_kill_urb+0x32/0xd1
Jul  8 18:18:06 f11fabio kernel: RSP <ffff88004e1e1ce8>
Jul  8 18:18:06 f11fabio kernel: CR2: 0000000000000047
Jul  8 18:18:06 f11fabio kernel: ---[ end trace 85fca8533b7c3e2d ]---
Jul  8 18:18:08 f11fabio kerneloops: Submitted 1 kernel oopses to www.kerneloops.org
Comment 17 Dan Williams 2009-07-08 12:31:33 EDT
(In reply to comment #16)
> Same problem even with kernel-2.6.29.6-213
> 
> Jul  8 18:18:06 f11fabio kernel: Modules linked in: ppp_deflate zlib_deflate
> ppp_async crc_ccitt ppp_generic slhc option usbserial ipv6 cpufreq_ondemand
> acpi_cpufreq freq_table fuse dm_multipath kvm_intel kvm uinput
> snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_pcm arc4 snd_timer
> ecb snd iTCO_wdt iTCO_vendor_support soundcore iwl3945 mac80211 lib80211 tg3
> yenta_socket btusb i2c_i801 snd_page_alloc cfg80211 wmi dell_laptop bluetooth
> rsrc_nonstatic dcdbas joydev ata_generic pata_acpi i915 drm i2c_algo_bit
> i2c_core video output [last unloaded: microcode]                                
> Jul  8 18:18:06 f11fabio kernel: Pid: 14496, comm: pppd Not tainted
> 2.6.29.6-213.fc11.x86_64 #1 Latitude D620                                       
> Jul  8 18:18:06 f11fabio kernel: RIP: 0010:[<ffffffff812a087a>] 
> [<ffffffff812a087a>] usb_kill_urb+0x32/0xd1                                     
> Jul  8 18:18:06 f11fabio kernel: RSP: 0018:ffff88004e1e1ce8  EFLAGS: 00010286   
> Jul  8 18:18:06 f11fabio kernel: RAX: 0000000000000000 RBX: ffffffffffffffff
> RCX: 0000000000000000                                                           
> Jul  8 18:18:06 f11fabio kernel: RDX: 0000000100000000 RSI: 0000000000000232
> RDI: ffffffff81515f6a                                                           
> Jul  8 18:18:06 f11fabio kernel: RBP: ffff88004e1e1d28 R08: 0000000000000000
> R09: 0000000000000009                                                           
> Jul  8 18:18:06 f11fabio kernel: R10: 00007fff4ee66d70 R11: 0000000000000246
> R12: 0000000000000008                                                           
> Jul  8 18:18:06 f11fabio kernel: R13: ffff88002a19c800 R14: ffff880059869b40
> R15: ffff880059869ea8                                                           
> Jul  8 18:18:06 f11fabio kernel: FS:  00007f73441fb6f0(0000)
> GS:ffffffff817b7000(0000) knlGS:0000000000000000                                
> Jul  8 18:18:06 f11fabio kernel: CS:  0010 DS: 0000 ES: 0000 CR0:
> 0000000080050033                                                                
> Jul  8 18:18:06 f11fabio kernel: CR2: 0000000000000047 CR3: 0000000059289000
> CR4: 00000000000026e0                                                           
> Jul  8 18:18:06 f11fabio kernel: DR0: 0000000000000000 DR1: 0000000000000000
> DR2: 0000000000000000                                                           
> Jul  8 18:18:06 f11fabio kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0
> DR7: 0000000000000400                                                           
> Jul  8 18:18:06 f11fabio kernel: Process pppd (pid: 14496, threadinfo
> ffff88004e1e0000, task ffff88001a3fc500)                                        
> Jul  8 18:18:06 f11fabio kernel: Stack:                                         
> Jul  8 18:18:06 f11fabio kernel: ffff88004e1e1cf8 0000000000000246
> ffff880059869ea8 ffff880059869e40                                               
> Jul  8 18:18:06 f11fabio kernel: ffff88004e1e1d28 ffffffff813aaafb
> ffff880062509800 0000000000000008
> Jul  8 18:18:06 f11fabio kernel: ffff88004e1e1d68 ffffffffa0293773
> ffff880062509890 ffff880062509800
> Jul  8 18:18:06 f11fabio kernel: Call Trace:
> Jul  8 18:18:06 f11fabio kernel: [<ffffffff813aaafb>] ? mutex_lock+0x27/0x38
> Jul  8 18:18:06 f11fabio kernel: [<ffffffffa0293773>] option_close+0xb7/0xd4
> [option]
> Jul  8 18:18:06 f11fabio kernel: [<ffffffffa0289cd4>] serial_close+0x9d/0x156
> [usbserial]
> Jul  8 18:18:06 f11fabio kernel: [<ffffffff8122c43e>]
> tty_release_dev+0x198/0x49a
> Jul  8 18:18:06 f11fabio kernel: [<ffffffff8122c75e>] tty_release+0x1e/0x29
> Jul  8 18:18:06 f11fabio kernel: [<ffffffff810d60a0>] __fput+0xf9/0x1a0
> Jul  8 18:18:06 f11fabio kernel: [<ffffffff810d6161>] fput+0x1a/0x1c
> Jul  8 18:18:06 f11fabio kernel: [<ffffffff810d34a1>] filp_close+0x68/0x72
> Jul  8 18:18:06 f11fabio kernel: [<ffffffff810d3557>] sys_close+0xac/0xea
> Jul  8 18:18:06 f11fabio kernel: [<ffffffff8101133a>]
> system_call_fastpath+0x16/0x1b
> Jul  8 18:18:06 f11fabio kernel: Code: 48 83 ec 30 0f 1f 44 00 00 be 32 02 00
> 00 48 89 fb 48 c7 c7 6a 5f 51 81 e8 18 f4 d9 ff e8 c4 9a 10 00 48 85 db 0f 84
> 96 00 00 00 <48> 83 7b 48 00 0f 84 8b 00 00 00 48 83 7b 50 00 0f 84 80 00 00
> Jul  8 18:18:06 f11fabio kernel: RIP  [<ffffffff812a087a>]
> usb_kill_urb+0x32/0xd1
> Jul  8 18:18:06 f11fabio kernel: RSP <ffff88004e1e1ce8>
> Jul  8 18:18:06 f11fabio kernel: CR2: 0000000000000047
> Jul  8 18:18:06 f11fabio kernel: ---[ end trace 85fca8533b7c3e2d ]---
> Jul  8 18:18:08 f11fabio kerneloops: Submitted 1 kernel oopses to
> www.kerneloops.org  

That's likely completely different than this issue...  there are apparently still problems upstream.  However, there's also an NM bug that would cause NM to open the serial port more than once if you have a PIN set on the SIM.  While the kernel certainly shouldn't panic here, it is something that's just been fixed in NM.
Comment 18 Sergio Monteiro Basto 2009-07-08 13:54:21 EDT
(In reply to comment #17)
> That's likely completely different than this issue...  there are apparently
> still problems upstream.  However, there's also an NM bug that would cause NM
> to open the serial port more than once if you have a PIN set on the SIM. 

Where is this bug ? , sound like that could help me . 

> While
> the kernel certainly shouldn't panic here, it is something that's just been
> fixed in NM.
Comment 19 Sergio Monteiro Basto 2009-07-13 18:55:56 EDT
(In reply to comment #15)
> kernel-2.6.29.6-213.fc11 has been submitted as an update for Fedora 11.
> http://admin.fedoraproject.org/updates/kernel-2.6.29.6-213.fc11  

Hi, 2.6.29.6-213 worked for me, seems this bug is solved . 

Thanks,
Comment 20 Fabio Canepa 2009-07-14 02:51:57 EDT
(In reply to comment #19)
> (In reply to comment #15)
> Hi, 2.6.29.6-213 worked for me, seems this bug is solved . 

Can you safely remove the modem while connected to Internet ?
I get a kernel oops if I unplug the modem while I'm connected to Internet
Comment 21 Dan Williams 2009-07-14 08:57:13 EDT
(In reply to comment #20)
> (In reply to comment #19)
> > (In reply to comment #15)
> > Hi, 2.6.29.6-213 worked for me, seems this bug is solved . 
> 
> Can you safely remove the modem while connected to Internet ?
> I get a kernel oops if I unplug the modem while I'm connected to Internet  

Yeah, that's fixed in 2.6.30 and a separate bug:

commit 2d93148ab6988cad872e65d694c95e8944e1b626
Author: Alan Stern <stern@rowland.harvard.edu>
Date:   Tue Apr 14 11:31:02 2009 -0400
Follows: v2.6.30-rc3
Precedes: v2.6.30-rc4

    USB: serial: fix lifetime and locking problems
    
    This patch (as1229) fixes a few lifetime and locking problems in the
    usb-serial driver.  The main symptom is that an invalid kevent is
    created when the serial device is unplugged while a connection is
    active.
    
        Ports should be unregistered when device is disconnected,
        not when the parent usb_serial structure is deallocated.
    
        Each open file should hold a reference to the corresponding
        port structure, and the reference should be released when
        the file is closed.
    
        serial->disc_mutex should be acquired in serial_open(), to
        resolve the classic race between open and disconnect.
    
        serial_close() doesn't need to hold both serial->disc_mutex
        and port->mutex at the same time.
    
        Release the subdriver's module reference only after releasing
        all the other references, in case one of the release routines
        needs to invoke some code in the subdriver module.
    
        Replace a call to flush_scheduled_work() (which is prone to
        deadlocks) with cancel_work_sync().  Also, add a call to
        cancel_work_sync() in the disconnect routine.
    
        Reduce the scope of serial->disc_mutex in serial_disconnect().
        The only place it really needs to protect is where the
        "disconnected" flag is set.
    
    This fixes the bug reported in
    
    	http://bugs.freedesktop.org/show_bug.cgi?id=20703
Comment 22 Sergio Monteiro Basto 2009-07-14 13:40:57 EDT
(In reply to comment #20)
> (In reply to comment #19)
> > (In reply to comment #15)
> > Hi, 2.6.29.6-213 worked for me, seems this bug is solved . 
> 
> Can you safely remove the modem while connected to Internet ?
> I get a kernel oops if I unplug the modem while I'm connected to Internet  

With this new 2.6.29.6-213 from koji, yes. I had safely remove the modem while connected to Internet.
Comment 23 Fabio Canepa 2009-07-15 02:56:49 EDT
(In reply to comment #22)
> With this new 2.6.29.6-213 from koji, yes. I had safely remove the modem while
> connected to Internet.  
Unfortunally with my modem (ONDA MT505UP) I still have the crash even with kernel 
2.6.29.6-213.fc11.x86_64.
If I remove the modem while connected to Internet all system hang and I can only poweroff my laptop. But I don't know if it's related with this bug....
Comment 24 Fedora Update System 2009-07-16 03:13:21 EDT
kernel-2.6.29.6-213.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7617
Comment 25 Sergey Bostandzhyan 2009-07-19 17:00:52 EDT
Is this also supposed to be fixed in rawhide? I made a mistake and enabled repo rawhide instead of updates-testing, ended up with 2.6.31-0.67.rc2.git9.fc12.x86_64 kernel.

Here is what I get:
Jul 19 22:19:21 469 pppd[27304]: Terminating on signal 15
Jul 19 22:19:21 469 pppd[27304]: Connect time 0.6 minutes.
Jul 19 22:19:21 469 pppd[27304]: Sent 240 bytes, received 0 bytes.
Jul 19 22:19:21 469 pppd[27304]: Connection terminated.
Jul 19 22:19:21 469 pppd[27304]: Exit.
Jul 19 22:19:23 469 kernel: usb 6-2: USB disconnect, address 5
Jul 19 22:19:23 469 kernel: sierra ttyUSB3: resubmit read urb failed.(-19)
Jul 19 22:19:23 469 kernel: sierra ttyUSB3: Sierra USB modem converter now disconnected from ttyUSB3
Jul 19 22:19:23 469 kernel: sierra ttyUSB4: Sierra USB modem converter now disconnected from ttyUSB4
Jul 19 22:19:23 469 kernel: sierra ttyUSB5: Sierra USB modem converter now disconnected from ttyUSB5
Jul 19 22:19:23 469 kernel: sierra 6-2:1.0: device disconnected
Jul 19 22:19:23 469 kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000088
Jul 19 22:19:23 469 kernel: IP: [<ffffffffa018c255>] sierra_close+0x4f/0x138 [sierra]
Jul 19 22:19:23 469 kernel: PGD 0 
Jul 19 22:19:23 469 NetworkManager: <info>  (ttyUSB3): now unmanaged
Jul 19 22:19:23 469 NetworkManager: <info>  (ttyUSB3): device state change: 3 -> 1
Jul 19 22:19:23 469 NetworkManager: <info>  (ttyUSB3): cleaning up...
Jul 19 22:19:23 469 NetworkManager: <info>  (ttyUSB3): taking down device.
Jul 19 22:19:23 469 kernel: Oops: 0002 [#1] SMP 
Jul 19 22:19:23 469 kernel: last sysfs file: /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
Jul 19 22:19:23 469 kernel: CPU 0 
Jul 19 22:19:23 469 kernel: Modules linked in: irda vmnet parport_pc vmblock vmci vmmon ppdev parport cdc_acm ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc fuse sco bridge stp llc bnep l2cap bluetooth sunrpc ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath uinput arc4 ecb iwlagn iwlcore snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec mac80211 uvcvideo videodev v4l1_compat v4l2_compat_ioctl32 snd_hwdep i2c_i801 snd_pcm cfg80211 video snd_timer sierra joydev acer_wmi atl1e serio_raw pcspkr snd usbserial output rfkill soundcore iTCO_wdt snd_page_alloc iTCO_vendor_support wmi sha256_generic cbc cryptd aes_x86_64 aes_generic dm_crypt radeon ttm drm i2c_algo_bit i2c_core [last unloaded: vmci]
Jul 19 22:19:23 469 kernel: Pid: 9, comm: events/0 Not tainted 2.6.31-0.67.rc2.git9.fc12.x86_64 #1 Aspire 8920
Jul 19 22:19:23 469 kernel: RIP: 0010:[<ffffffffa018c255>]  [<ffffffffa018c255>] sierra_close+0x4f/0x138 [sierra]
Jul 19 22:19:23 469 kernel: RSP: 0018:ffff88013bbd9cb0  EFLAGS: 00010246
Jul 19 22:19:23 469 kernel: RAX: 0000000000000000 RBX: ffff8800ba5d8000 RCX: 0000000000000000
Jul 19 22:19:23 469 kernel: RDX: 0000000000000000 RSI: ffffffff814f04a3 RDI: ffff8800ba5d8000
Jul 19 22:19:23 469 kernel: RBP: ffff88013bbd9ce0 R08: 00000000bc105aec R09: 00000000bc105aec
Jul 19 22:19:23 469 kernel: R10: 0000000000000000 R11: 0000000000000000 R12: ffff88012a5e5488
Jul 19 22:19:23 469 kernel: R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000246
Jul 19 22:19:23 469 kernel: FS:  0000000000000000(0000) GS:ffff88002ee00000(0000) knlGS:0000000000000000
Jul 19 22:19:23 469 kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
Jul 19 22:19:23 469 kernel: CR2: 0000000000000088 CR3: 0000000001001000 CR4: 00000000000006f0
Jul 19 22:19:23 469 kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 19 22:19:23 469 kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul 19 22:19:23 469 kernel: Process events/0 (pid: 9, threadinfo ffff88013bbd8000, task ffff88013bbd0000)
Jul 19 22:19:23 469 kernel: Stack:
Jul 19 22:19:23 469 kernel: ffff88013bbd9ce0 00000000bc105aec ffff8800ba5d8000 ffff8800ba5d81f8
Jul 19 22:19:23 469 kernel: <0> ffffffffa018f9c0 0000000000000000 ffff88013bbd9d20 ffffffffa011e7d7
Jul 19 22:19:23 469 kernel: <0> 0000000000000246 00000000bc105aec ffff88013bbd9d20 ffff8800ba5d8000
Jul 19 22:19:23 469 kernel: Call Trace:
Jul 19 22:19:23 469 kernel: [<ffffffffa011e7d7>] serial_do_down+0x56/0x7d [usbserial]
Jul 19 22:19:23 469 kernel: [<ffffffffa0120280>] serial_hangup+0x2c/0x58 [usbserial]
Jul 19 22:19:23 469 kernel: [<ffffffff8130c102>] do_tty_hangup+0x300/0x345
Jul 19 22:19:23 469 kernel: [<ffffffff8130be02>] ? do_tty_hangup+0x0/0x345
Jul 19 22:19:23 469 kernel: [<ffffffff810795f3>] worker_thread+0x222/0x33e
Jul 19 22:19:23 469 kernel: [<ffffffff8107959e>] ? worker_thread+0x1cd/0x33e
Jul 19 22:19:23 469 kernel: [<ffffffff814ef507>] ? thread_return+0x4e/0xd3
Jul 19 22:19:23 469 kernel: [<ffffffff8107f5e7>] ? autoremove_wake_function+0x0/0x5f
Jul 19 22:19:23 469 kernel: [<ffffffff810793d1>] ? worker_thread+0x0/0x33e
Jul 19 22:19:23 469 kernel: [<ffffffff8107f199>] kthread+0xa5/0xad
Jul 19 22:19:23 469 kernel: [<ffffffff8101412a>] child_rip+0xa/0x20
Jul 19 22:19:23 469 kernel: [<ffffffff81013a90>] ? restore_args+0x0/0x30
Jul 19 22:19:23 469 kernel: [<ffffffff8107f0f4>] ? kthread+0x0/0xad
Jul 19 22:19:23 469 kernel: [<ffffffff81014120>] ? child_rip+0x0/0x20
Jul 19 22:19:23 469 kernel: Code: 05 ae dc 43 e2 04 48 89 fb 4c 8b 27 74 16 f6 05 a5 dc 43 e2 20 74 0d 80 3d 97 40 00 00 00 0f 85 9e 00 00 00 4c 8b ab 88 04 00 00 <41> c7 85 88 00 00 00 00 00 00 00 41 c7 85 8c 00 00 00 00 00 00 
Jul 19 22:19:23 469 kernel: RIP  [<ffffffffa018c255>] sierra_close+0x4f/0x138 [sierra]
Jul 19 22:19:23 469 kernel: RSP <ffff88013bbd9cb0>
Jul 19 22:19:23 469 kernel: CR2: 0000000000000088
Jul 19 22:19:23 469 kernel: ---[ end trace 16974013c15748e6 ]---
Jul 19 22:19:39 469 kernel: usb 6-2: new full speed USB device using uhci_hcd and address 13
Jul 19 22:19:39 469 kernel: usb 6-2: New USB device found, idVendor=1199, idProduct=6812
Jul 19 22:19:39 469 kernel: usb 6-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jul 19 22:19:39 469 kernel: usb 6-2: Product: Mini Card
Jul 19 22:19:39 469 kernel: usb 6-2: Manufacturer: Sierra Wireless, Incorporated
Jul 19 22:19:39 469 kernel: usb 6-2: configuration #1 chosen from 1 choice
Jul 19 22:19:39 469 kernel: sierra 6-2:1.0: Sierra USB modem converter detected
Jul 19 22:19:39 469 kernel: usb 6-2: Sierra USB modem converter now attached to ttyUSB6
Jul 19 22:19:39 469 kernel: usb 6-2: Sierra USB modem converter now attached to ttyUSB7
Jul 19 22:19:39 469 kernel: usb 6-2: Sierra USB modem converter now attached to ttyUSB8

I will retest with the kernel from updates-testing and report back.
Comment 26 Sergey Bostandzhyan 2009-07-19 19:42:54 EDT
OK... retested with 2.6.29.6-213.fc11.x86_64, while connected to the internet the model gets lost at some point (i.e. as if I unplugged it from USB, but I did not), then gets automatically reattached. I am not sure if my issue is similar to what Fabio posted, I do not have a PIN set and I am not using NetworkManager as it does not recognize the modem most of the time, I am calling wvdial via gnome-ppp. I am pasting a little more than just the Oops, so you can see what happens before and after it.

Here is the log:
Jul 20 01:28:49 469 kernel: sierra ttyUSB0: Sierra USB modem converter now disconnected from ttyUSB0
Jul 20 01:28:49 469 kernel: sierra ttyUSB1: Sierra USB modem converter now disconnected from ttyUSB1
Jul 20 01:28:49 469 kernel: sierra ttyUSB2: Sierra USB modem converter now disconnected from ttyUSB2
Jul 20 01:28:49 469 kernel: sierra 6-2:1.0: device disconnected
Jul 20 01:28:50 469 pppd[2770]: Connection terminated.
Jul 20 01:28:50 469 NetworkManager: <info>  (ttyUSB0): now unmanaged
Jul 20 01:28:50 469 NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 1
Jul 20 01:28:50 469 NetworkManager: <info>  (ttyUSB0): cleaning up...
Jul 20 01:28:50 469 NetworkManager: <info>  (ttyUSB0): taking down device.
Jul 20 01:28:50 469 pppd[2770]: Exit.
Jul 20 01:28:50 469 kernel: usb 6-2: new full speed USB device using uhci_hcd and address 3
Jul 20 01:28:50 469 kernel: usb 6-2: New USB device found, idVendor=1199, idProduct=6812
Jul 20 01:28:50 469 kernel: usb 6-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jul 20 01:28:50 469 kernel: usb 6-2: Product: Mini Card
Jul 20 01:28:50 469 kernel: usb 6-2: Manufacturer: Sierra Wireless, Incorporated
Jul 20 01:28:50 469 kernel: usb 6-2: configuration #1 chosen from 1 choice
Jul 20 01:28:50 469 kernel: sierra 6-2:1.0: Sierra USB modem converter detected
Jul 20 01:28:50 469 kernel: usb 6-2: Sierra USB modem converter now attached to ttyUSB3
Jul 20 01:28:50 469 kernel: usb 6-2: Sierra USB modem converter now attached to ttyUSB4
Jul 20 01:28:50 469 kernel: usb 6-2: Sierra USB modem converter now attached to ttyUSB5
Jul 20 01:28:50 469 kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000048
Jul 20 01:28:50 469 kernel: IP: [<ffffffffa0087807>] sierra_close+0x26/0x9e [sierra]
Jul 20 01:28:50 469 kernel: PGD 1280d1067 PUD 128dca067 PMD 0 
Jul 20 01:28:50 469 kernel: Oops: 0002 [#1] SMP 
Jul 20 01:28:50 469 kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:1d.1/usb6/6-2/6-2:1.0/bInterfaceClass
Jul 20 01:28:50 469 kernel: CPU 1 
Jul 20 01:28:50 469 kernel: Modules linked in: ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc fuse rfcomm sco bridge stp llc bnep l2cap sunrpc ppdev parport_pc parport ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath uinput snd_hda_codec_atihdmi snd_hda_codec_realtek arc4 ecb snd_hda_intel snd_hda_codec iwlagn btusb bluetooth snd_hwdep radeon iwlcore snd_pcm uvcvideo drm snd_timer snd i2c_i801 i2c_algo_bit videodev v4l1_compat lib80211 mac80211 v4l2_compat_ioctl32 atl1e soundcore sierra video cfg80211 i2c_core snd_page_alloc pcspkr serio_raw joydev iTCO_wdt iTCO_vendor_support acer_wmi usbserial wmi output sha256_generic cbc aes_x86_64 aes_generic dm_crypt [last unloaded: microcode]
Jul 20 01:28:50 469 kernel: Pid: 2769, comm: wvdial Not tainted 2.6.29.6-213.fc11.x86_64 #1 Aspire 8920
Jul 20 01:28:50 469 kernel: RIP: 0010:[<ffffffffa0087807>]  [<ffffffffa0087807>] sierra_close+0x26/0x9e [sierra]
Jul 20 01:28:50 469 kernel: RSP: 0018:ffff8801280ebd38  EFLAGS: 00010292
Jul 20 01:28:50 469 kernel: RAX: ffffffffa0089330 RBX: ffff88013ddb5800 RCX: 0000000000000000
Jul 20 01:28:50 469 kernel: RDX: ffff8801348e60c0 RSI: ffff88013ddb5800 RDI: ffff880136016800
Jul 20 01:28:50 469 kernel: RBP: ffff8801280ebd68 R08: 0000000000000000 R09: 0000000000000004
Jul 20 01:28:50 469 kernel: R10: 00007fc5c36d53f0 R11: 0000000000000246 R12: 0000000000000000
Jul 20 01:28:50 469 kernel: R13: ffff8801348e60c0 R14: ffff880136016800 R15: ffff88013bde5a80
Jul 20 01:28:50 469 kernel: FS:  00007fc5c29b37d0(0000) GS:ffff88013ecdf200(0000) knlGS:0000000000000000
Jul 20 01:28:50 469 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 20 01:28:50 469 kernel: CR2: 0000000000000048 CR3: 0000000128db0000 CR4: 00000000000006e0
Jul 20 01:28:50 469 kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 20 01:28:50 469 kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul 20 01:28:50 469 kernel: Process wvdial (pid: 2769, threadinfo ffff8801280ea000, task ffff88012dd9ae00)
Jul 20 01:28:50 469 kernel: Stack:
Jul 20 01:28:50 469 kernel: ffff88013ddb5890 ffff88013ddb5800 ffff880136016800 ffff8801348e60c0
Jul 20 01:28:50 469 kernel: ffff88013bde5a80 ffff88013ddb5890 ffff8801280ebdb8 ffffffffa0045cd4
Jul 20 01:28:50 469 kernel: ffff8801280ebdb8 ffffffffa00898f0 ffff8801280ebdb8 ffff880136016800
Jul 20 01:28:50 469 kernel: Call Trace:
Jul 20 01:28:50 469 kernel: [<ffffffffa0045cd4>] serial_close+0x9d/0x156 [usbserial]
Jul 20 01:28:50 469 kernel: [<ffffffff8122c43e>] tty_release_dev+0x198/0x49a
Jul 20 01:28:50 469 kernel: [<ffffffff810e00d1>] ? user_path_at+0x64/0x93
Jul 20 01:28:50 469 kernel: [<ffffffff810e9e70>] ? mntput_no_expire+0x36/0x150
Jul 20 01:28:50 469 kernel: [<ffffffff8105c8d7>] ? autoremove_wake_function+0x0/0x39
Jul 20 01:28:50 469 kernel: [<ffffffff8122c75e>] tty_release+0x1e/0x29
Jul 20 01:28:50 469 kernel: [<ffffffff810d60a0>] __fput+0xf9/0x1a0
Jul 20 01:28:50 469 kernel: [<ffffffff810d6161>] fput+0x1a/0x1c
Jul 20 01:28:50 469 kernel: [<ffffffff810d34a1>] filp_close+0x68/0x72
Jul 20 01:28:50 469 kernel: [<ffffffff810d3557>] sys_close+0xac/0xea
Jul 20 01:28:50 469 kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Jul 20 01:28:50 469 kernel: Code: 5e 41 5f c9 c3 55 48 89 e5 41 57 41 56 41 55 41 54 53 48 83 ec 08 0f 1f 44 00 00 4c 8b 3e 4c 8b a6 88 02 00 00 49 89 fe 48 89 f3 <41> c7 44 24 48 00 00 00 00 41 c7 44 24 4c 00 00 00 00 49 83 3f 
Jul 20 01:28:50 469 kernel: RIP  [<ffffffffa0087807>] sierra_close+0x26/0x9e [sierra]
Jul 20 01:28:50 469 kernel: RSP <ffff8801280ebd38>
Jul 20 01:28:50 469 kernel: CR2: 0000000000000048
Jul 20 01:28:50 469 kernel: ---[ end trace 4182d7c92d8f0665 ]---
Jul 20 01:28:52 469 NetworkManager: <info>  (ttyUSB5): ignoring due to lack of mobile broadband capabilties
Jul 20 01:28:56 469 NetworkManager: <info>  (ttyUSB3): found serial port (udev:  hal:GSM)
Jul 20 01:28:56 469 NetworkManager: <info>  (ttyUSB3): ignoring due to lack of probed mobile broadband capabilties
Jul 20 01:28:58 469 NetworkManager: <info>  (ttyUSB4): ignoring due to lack of mobile broadband capabilties


Connecting to the internet was still possible after the Oops, but the dev nodes ttyUSB0 to 2 will stay unusable until next reboot.
Comment 27 Fedora Update System 2009-07-22 17:58:01 EDT
kernel-2.6.29.6-213.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Sergio Monteiro Basto 2009-07-22 18:42:01 EDT
(In reply to comment #22)

> 
> With this new 2.6.29.6-213 from koji, yes. I had safely remove the modem while
> connected to Internet.  

unfortunately just work on first time , on second crash again.
Other thing, I have a 32-bit laptop and test it on i686 kernel. 
So I think is not all resolved. 

I got a oops on connect and remove usb,  : 
option 2-2:1.2: device disconnected                                                                                               
BUG: unable to handle kernel paging request at 00001028                                                                           
IP: [<c063083b>] usb_kill_urb+0x27/0xa9                                                                                           
*pdpt = 0000000030481001 *pde = 000000004ddae067                                                                                  
Oops: 0000 [#1] SMP                                                                                                               
last sysfs file: /sys/devices/pci0000:00/0000:00:1d.0/usb2/idVendor                                                               
Modules linked in: ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc fuse option usbserial usb_storage bridge stp llc bnep sco l2cap bluetooth sunrpc autofs4 lm90 hwmon i2c_i801 ipv6 cpufreq_ondemand acpi_cpufreq uinput snd_intel8x0 snd_intel8x0m snd_ac97_codec ac97_bus snd_pcm b44 ipw2200 snd_timer ssb mii snd firewire_ohci iTCO_wdt iTCO_vendor_support yenta_socket rsrc_nonstatic libipw firewire_core soundcore crc_itu_t lib80211 snd_page_alloc pcspkr wmi joydev serio_raw ata_generic pata_acpi i915 drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]                                                                

Pid: 2545, comm: wvdial Not tainted (2.6.29.6-213.sb.fc11.i686.PAE #1) HP Compaq nx6110 (PY501EA#AB9)
EIP: 0060:[<c063083b>] EFLAGS: 00010206 CPU: 0                                                       
EIP is at usb_kill_urb+0x27/0xa9                                                                     
EAX: 00000000 EBX: 00001000 ECX: c08382d7 EDX: 00000232                                              
ESI: ea050580 EDI: 00000002 EBP: f117be80 ESP: f117be64                                              
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process wvdial (pid: 2545, ti=f117a000 task=ee1cf1a0 task.ti=f117a000)
Stack:
 ec3fc1f8 ec3fc1c0 00000246 ea0c6818 f117be80 ea008c00 00000002 f117be9c
 f8337666 ea0c67e0 f0443c00 ea008c00 f833a6e4 ea0c67e0 f117bec4 f8325847
 f117bec4 d68eec00 f833b864 f0443c00 ea008c54 f0443c00 00000000 00000000
Call Trace:
 [<f8337666>] ? option_close+0x98/0xaf [option]
 [<f8325847>] ? serial_close+0x7f/0x121 [usbserial]
 [<c05ca584>] ? tty_release_dev+0x146/0x3b7
 [<c0446def>] ? remove_wait_queue+0x27/0x2c
 [<c04b2623>] ? vfs_ioctl+0x1d/0x76
 [<c04b2f16>] ? do_vfs_ioctl+0x480/0x4ba
 [<c04a84c9>] ? rw_verify_area+0x9a/0xbb
 [<c05ca80c>] ? tty_release+0x17/0x21
 [<c04a93c9>] ? __fput+0xce/0x15b
 [<c04a946e>] ? fput+0x18/0x1a
 [<c04a6a5d>] ? filp_close+0x56/0x60
 [<c04a6adb>] ? sys_close+0x74/0xac
 [<c040945f>] ? sysenter_do_call+0x12/0x34
Code: 5b 5f 5d c3 55 89 e5 57 53 83 ec 14 0f 1f 44 00 00 ba 32 02 00 00 89 c3 b8 d7 82 83 c0 e8 d7 db df ff e8 3f 49 0e 00 85 db 74 7b <83> 7b 28 00 74 75 83 7b 2c 00 74 6f 3e ff 43 0c ba fe ff ff ff
EIP: [<c063083b>] usb_kill_urb+0x27/0xa9 SS:ESP 0068:f117be64
---[ end trace f87ab5489ad06cca ]---
Comment 29 Sergey Bostandzhyan 2009-07-23 19:26:02 EDT
I can confirm that the bug is unfortunately not fixed... I was connected to the internet via my Sierra AirCard 875U USB modem, suddenly the connection went down. In the log I could see that the modem was reattached and an oops. 

Note, that I did not physically disconnect the modem, so despite those "disconnected" and "new device" messages below - the modem has been physically connected to the usb port the whole time.

Jul 23 23:40:37 469 kernel: usb 1-4: USB disconnect, address 3
Jul 23 23:41:14 469 kernel: usb 6-2: USB disconnect, address 4
Jul 23 23:41:14 469 kernel: sierra ttyUSB0: Sierra USB modem converter now disconnected from ttyUSB0
Jul 23 23:41:14 469 kernel: sierra ttyUSB1: Sierra USB modem converter now disconnected from ttyUSB1
Jul 23 23:41:14 469 kernel: sierra ttyUSB2: Sierra USB modem converter now disconnected from ttyUSB2
Jul 23 23:41:14 469 kernel: sierra 6-2:1.0: device disconnected
Jul 23 23:41:14 469 pppd[11549]: Modem hangup
Jul 23 23:41:14 469 pppd[11549]: Connect time 1.7 minutes.
Jul 23 23:41:14 469 pppd[11549]: Sent 15401 bytes, received 33643 bytes.
Jul 23 23:41:14 469 pppd[11549]: Connection terminated.
Jul 23 23:41:14 469 pppd[11549]: Exit.
Jul 23 23:41:14 469 NetworkManager: <info>  (ttyUSB0): now unmanaged
Jul 23 23:41:14 469 NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 1
Jul 23 23:41:14 469 NetworkManager: <info>  (ttyUSB0): cleaning up...
Jul 23 23:41:14 469 NetworkManager: <info>  (ttyUSB0): taking down device.
Jul 23 23:41:14 469 kernel: usb 6-2: new full speed USB device using uhci_hcd and address 5
Jul 23 23:41:14 469 kernel: usb 6-2: New USB device found, idVendor=1199, idProduct=6812
Jul 23 23:41:14 469 kernel: usb 6-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jul 23 23:41:14 469 kernel: usb 6-2: Product: Mini Card
Jul 23 23:41:14 469 kernel: usb 6-2: Manufacturer: Sierra Wireless, Incorporated
Jul 23 23:41:14 469 kernel: usb 6-2: configuration #1 chosen from 1 choice
Jul 23 23:41:14 469 kernel: sierra 6-2:1.0: Sierra USB modem converter detected
Jul 23 23:41:14 469 kernel: usb 6-2: Sierra USB modem converter now attached to ttyUSB3
Jul 23 23:41:14 469 kernel: usb 6-2: Sierra USB modem converter now attached to ttyUSB4
Jul 23 23:41:14 469 kernel: usb 6-2: Sierra USB modem converter now attached to ttyUSB5
Jul 23 23:41:14 469 kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000048
Jul 23 23:41:14 469 kernel: IP: [<ffffffffa02a9807>] sierra_close+0x26/0x9e [sierra]
Jul 23 23:41:14 469 kernel: PGD 134172067 PUD 132973067 PMD 0 
Jul 23 23:41:14 469 kernel: Oops: 0002 [#1] SMP 
Jul 23 23:41:14 469 kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:1d.1/usb6/6-2/6-2:1.0/ttyUSB5/port_number
Jul 23 23:41:14 469 kernel: CPU 1 
Jul 23 23:41:14 469 kernel: Modules linked in: vfat fat usb_storage ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc sierra usbserial nfs lockd nfs_acl auth_rpcgss fuse rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath uinput snd_hda_codec_atihdmi arc4 ecb snd_hda_codec_realtek iwlagn iwlcore snd_hda_intel snd_hda_codec btusb uvcvideo bluetooth radeon snd_hwdep snd_pcm lib80211 mac80211 videodev drm snd_timer snd soundcore iTCO_wdt v4l1_compat iTCO_vendor_support i2c_i801 video i2c_algo_bit cfg80211 i2c_core snd_page_alloc v4l2_compat_ioctl32 acer_wmi output wmi atl1e pcspkr serio_raw joydev sha256_generic cbc aes_x86_64 aes_generic dm_crypt [last unloaded: microcode]
Jul 23 23:41:14 469 kernel: Pid: 11548, comm: wvdial Not tainted 2.6.29.6-213.fc11.x86_64 #1 Aspire 8920
Jul 23 23:41:14 469 kernel: RIP: 0010:[<ffffffffa02a9807>]  [<ffffffffa02a9807>] sierra_close+0x26/0x9e [sierra]
Jul 23 23:41:14 469 kernel: RSP: 0018:ffff88013d07bd38  EFLAGS: 00010292
Jul 23 23:41:14 469 kernel: RAX: ffffffffa02ab330 RBX: ffff8801298ca000 RCX: 0000000000000000
Jul 23 23:41:14 469 kernel: RDX: ffff88013dead180 RSI: ffff8801298ca000 RDI: ffff880105207000
Jul 23 23:41:14 469 kernel: RBP: ffff88013d07bd68 R08: 0000000000000000 R09: 0000000000000004
Jul 23 23:41:14 469 kernel: R10: 00007f27093e33f0 R11: 0000000000000246 R12: 0000000000000000
Jul 23 23:41:14 469 kernel: R13: ffff88013dead180 R14: ffff880105207000 R15: ffff88013665d6c0
Jul 23 23:41:14 469 kernel: FS:  00007f27086c17d0(0000) GS:ffff88013ecdf200(0000) knlGS:0000000000000000
Jul 23 23:41:14 469 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 23 23:41:14 469 kernel: CR2: 0000000000000048 CR3: 000000013a91e000 CR4: 00000000000006e0
Jul 23 23:41:14 469 kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 23 23:41:14 469 kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul 23 23:41:14 469 kernel: Process wvdial (pid: 11548, threadinfo ffff88013d07a000, task ffff8801360bc500)
Jul 23 23:41:14 469 kernel: Stack:
Jul 23 23:41:14 469 kernel: ffff8801298ca090 ffff8801298ca000 ffff880105207000 ffff88013dead180
Jul 23 23:41:14 469 kernel: ffff88013665d6c0 ffff8801298ca090 ffff88013d07bdb8 ffffffffa03f6cd4
Jul 23 23:41:14 469 kernel: ffff88013d07bdb8 ffffffffa02ab8f0 ffff88013d07bdb8 ffff880105207000
Jul 23 23:41:14 469 kernel: Call Trace:
Jul 23 23:41:14 469 kernel: [<ffffffffa03f6cd4>] serial_close+0x9d/0x156 [usbserial]
Jul 23 23:41:14 469 kernel: [<ffffffff8122c43e>] tty_release_dev+0x198/0x49a
Jul 23 23:41:14 469 kernel: [<ffffffff810e00d1>] ? user_path_at+0x64/0x93
Jul 23 23:41:14 469 kernel: [<ffffffff810e9e70>] ? mntput_no_expire+0x36/0x150
Jul 23 23:41:14 469 kernel: [<ffffffff8105c8d7>] ? autoremove_wake_function+0x0/0x39
Jul 23 23:41:14 469 kernel: [<ffffffff8122c75e>] tty_release+0x1e/0x29
Jul 23 23:41:14 469 kernel: [<ffffffff810d60a0>] __fput+0xf9/0x1a0
Jul 23 23:41:14 469 kernel: [<ffffffff810d6161>] fput+0x1a/0x1c
Jul 23 23:41:14 469 kernel: [<ffffffff810d34a1>] filp_close+0x68/0x72
Jul 23 23:41:14 469 kernel: [<ffffffff810d3557>] sys_close+0xac/0xea
Jul 23 23:41:14 469 kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Jul 23 23:41:14 469 kernel: Code: 5e 41 5f c9 c3 55 48 89 e5 41 57 41 56 41 55 41 54 53 48 83 ec 08 0f 1f 44 00 00 4c 8b 3e 4c 8b a6 88 02 00 00 49 89 fe 48 89 f3 <41> c7 44 24 48 00 00 00 00 41 c7 44 24 4c 00 00 00 00 49 83 3f 
Jul 23 23:41:14 469 kernel: RIP  [<ffffffffa02a9807>] sierra_close+0x26/0x9e [sierra]
Jul 23 23:41:14 469 kernel: RSP <ffff88013d07bd38>
Jul 23 23:41:14 469 kernel: CR2: 0000000000000048
Jul 23 23:41:14 469 kernel: ---[ end trace 1a41db622c619418 ]---

Not sure if my log may be additionally related to bug #500652 https://bugzilla.redhat.com/show_bug.cgi?id=500652
Comment 30 Fabio Canepa 2009-07-25 05:06:51 EDT
Sometime when I unplug the modem the system don't freeze completely and I can see the kernel ooops inside syslog.
This is the oops:
Jul 25 11:02:13 f11fabio kernel: BUG: unable to handle kernel NULL pointer dereference at (null)
Jul 25 11:02:13 f11fabio kernel: IP: [<(null)>] (null)
Jul 25 11:02:13 f11fabio kernel: PGD 0 
Jul 25 11:02:13 f11fabio kernel: Oops: 0010 [#1] SMP 
Jul 25 11:02:13 f11fabio kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:1d.2/usb4/idVendor
Jul 25 11:02:13 f11fabio kernel: CPU 1 
Jul 25 11:02:13 f11fabio kernel: Modules linked in: ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc ipv6 cpufreq_ondemand acpi_cpufreq freq_table fuse dm_multipath kvm_intel kvm uinput snd_hda_codec_idt arc4 snd_hda_intel ecb snd_hda_codec iwl3945 snd_hwdep snd_pcm snd_timer yenta_socket mac80211 snd rsrc_nonstatic iTCO_wdt option wmi dell_laptop tg3 soundcore iTCO_vendor_support i2c_i801 btusb snd_page_alloc lib80211 usbserial bluetooth cfg80211 dcdbas joydev ata_generic pata_acpi i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Jul 25 11:02:13 f11fabio kernel: Pid: 2272, comm: pppd Not tainted 2.6.29.6-217.fc11.x86_64 #1 Latitude D620                   
Jul 25 11:02:13 f11fabio kernel: RIP: 0010:[<0000000000000000>]  [<(null)>] (null)
Jul 25 11:02:13 f11fabio kernel: RSP: 0018:ffff880062dc1c60  EFLAGS: 00010282
Jul 25 11:02:13 f11fabio kernel: RAX: ffff88007f338280 RBX: ffff88007cdb0f00 RCX: ffff88007cdb0f00
Jul 25 11:02:13 f11fabio kernel: RDX: 00000000fffffffe RSI: ffff88007cdb0f00 RDI: ffff88007f338170
Jul 25 11:02:13 f11fabio kernel: RBP: ffff880062dc1ca8 R08: 0000000000000000 R09: 0000000000000009
Jul 25 11:02:13 f11fabio kernel: R10: 00007fff779a7340 R11: 0000000000000246 R12: ffff88007f338170
Jul 25 11:02:13 f11fabio kernel: R13: 0000000000000000 R14: 00000000fffffffe R15: ffff88007dd8d4e8
Jul 25 11:02:13 f11fabio kernel: FS:  00007feeb68fb6f0(0000) GS:ffff88007f001f00(0000) knlGS:0000000000000000
Jul 25 11:02:13 f11fabio kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 25 11:02:13 f11fabio kernel: CR2: 0000000000000000 CR3: 000000006351f000 CR4: 00000000000026e0
Jul 25 11:02:13 f11fabio kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 25 11:02:13 f11fabio kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul 25 11:02:13 f11fabio kernel: Process pppd (pid: 2272, threadinfo ffff880062dc0000, task ffff880062db9700)
Jul 25 11:02:13 f11fabio kernel: Stack:
Jul 25 11:02:13 f11fabio kernel: ffffffff8129f409 ffff880062dc1c88 ffff88007f338130 ffff880062dc1c88
Jul 25 11:02:13 f11fabio kernel: ffff88007cdb0f00 00000000fffffffe 0000000000000000 0000000000000282
Jul 25 11:02:13 f11fabio kernel: ffff88007dd8d4e8 ffff880062dc1cd8 ffffffff8129f5bd ffff88007cdb0f00
Jul 25 11:02:13 f11fabio kernel: Call Trace:
Jul 25 11:02:13 f11fabio kernel: [<ffffffff8129f409>] ? unlink1+0xd8/0xed
Jul 25 11:02:13 f11fabio kernel: [<ffffffff8129f5bd>] usb_hcd_unlink_urb+0x65/0x89
Jul 25 11:02:13 f11fabio kernel: [<ffffffff812a08a1>] usb_kill_urb+0x59/0xd1
Jul 25 11:02:13 f11fabio kernel: [<ffffffff813aaafb>] ? mutex_lock+0x27/0x38
Jul 25 11:02:13 f11fabio kernel: [<ffffffffa010b75c>] option_close+0xa0/0xd4 [option]
Jul 25 11:02:13 f11fabio kernel: [<ffffffffa00b9cd4>] serial_close+0x9d/0x156 [usbserial]
Jul 25 11:02:13 f11fabio kernel: [<ffffffff8122c43e>] tty_release_dev+0x198/0x49a
Jul 25 11:02:13 f11fabio kernel: [<ffffffff8122c75e>] tty_release+0x1e/0x29
Jul 25 11:02:13 f11fabio kernel: [<ffffffff810d60a0>] __fput+0xf9/0x1a0
Jul 25 11:02:13 f11fabio kernel: [<ffffffff810d6161>] fput+0x1a/0x1c
Jul 25 11:02:13 f11fabio kernel: [<ffffffff810d34a1>] filp_close+0x68/0x72
Jul 25 11:02:13 f11fabio kernel: [<ffffffff810d3557>] sys_close+0xac/0xea
Jul 25 11:02:13 f11fabio kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Jul 25 11:02:13 f11fabio kernel: Code:  Bad RIP value.
Jul 25 11:02:13 f11fabio kernel: RIP  [<(null)>] (null)
Jul 25 11:02:13 f11fabio kernel: RSP <ffff880062dc1c60>
Jul 25 11:02:13 f11fabio kernel: CR2: 0000000000000000
Jul 25 11:02:13 f11fabio kernel: ---[ end trace e9d9a1e04476b8ec ]---

I'm using latest NetworkManager-0.7.1-8.git20090708.fc11.x86_64
Comment 31 Graham Gear 2009-08-08 09:47:23 EDT
I can report I too see a similar issue sporadically with an internal Sierra modem.

dist: Fedora 11
kernel: 2.6.29.6-217.2.3.fc11.i686.PAE

On boot I occasional get this, resulting in no modem:

sierra ttyUSB0: Sierra USB modem converter now disconnected from ttyUSB0
sierra ttyUSB1: Sierra USB modem converter now disconnected from ttyUSB1
sierra ttyUSB2: Sierra USB modem converter now disconnected from ttyUSB2
sierra 6-1:1.0: device disconnected
hub 6-0:1.0: unable to enumerate USB device on port 1
usb 6-1: new full speed USB device using uhci_hcd and address 4
usb 6-1: New USB device found, idVendor=1199, idProduct=6813
usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 6-1: Product: Mini Card
usb 6-1: Manufacturer: Sierra Wireless, Incorporated
usb 6-1: configuration #1 chosen from 1 choice
sierra 6-1:1.0: Sierra USB modem converter detected
usb 6-1: Sierra USB modem converter now attached to ttyUSB3
usb 6-1: Sierra USB modem converter now attached to ttyUSB4
usb 6-1: Sierra USB modem converter now attached to ttyUSB5
BUG: unable to handle kernel NULL pointer dereference at 00000028
IP: [<f84ee6c7>] sierra_close+0x1a/0x7f [sierra]
*pdpt = 0000000035488001 *pde = 000000013b515067 
Oops: 0002 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:1d.1/usb6/6-1/idProduct
Modules linked in: sierra usbserial arc4 ecb thinkpad_acpi snd_hda_codec_analog hwmon snd_hda_intel uvcvideo snd_hda_codec iwlagn videodev snd_hwdep i2c_i801 pcspkr iwlcore v4l1_compat snd_pcm iTCO_wdt lib80211 iTCO_vendor_support snd_timer snd mac80211 soundcore snd_page_alloc cfg80211 btusb bluetooth e1000e i915 drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]

Pid: 1195, comm: nm-modem-probe Not tainted (2.6.29.6-217.2.3.fc11.i686.PAE #1) 647815G
EIP: 0060:[<f84ee6c7>] EFLAGS: 00010296 CPU: 1
EIP is at sierra_close+0x1a/0x7f [sierra]
EAX: f5890000 EBX: f5907800 ECX: f58c9b80 EDX: f58e5cc0
ESI: 00000000 EDI: f5890000 EBP: f5423e9c ESP: f5423e88
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process nm-modem-probe (pid: 1195, ti=f5422000 task=f5b89940 task.ti=f5422000)
Stack:
 00000246 f5907854 f5907800 f84efc3c f58e5cc0 f5423ec4 f8bf083a f5423ec4
 f58c9b80 f84f0088 f5890000 f5907854 f5890000 00000000 00000001 f5423f54
 c05ca878 f6651b00 f5423eec c0494b6c f54dbe8c 00000001 f54dbd68 00000000
Call Trace:
 [<f8bf083a>] ? serial_close+0x7f/0x121 [usbserial]
 [<c05ca878>] ? tty_release_dev+0x146/0x3b7
 [<c0494b6c>] ? __vma_link+0x63/0x6c
 [<c0495d0f>] ? mmap_region+0x1cc/0x3d9
 [<c0495e50>] ? mmap_region+0x30d/0x3d9
 [<c05cab00>] ? tty_release+0x17/0x21
 [<c04a9421>] ? __fput+0xce/0x15b
 [<c04a94c6>] ? fput+0x18/0x1a
 [<c04a6ab5>] ? filp_close+0x56/0x60
 [<c04a6b33>] ? sys_close+0x74/0xac
 [<c040945f>] ? sysenter_do_call+0x12/0x34
Code: 55 f0 0f b6 42 0e 39 c7 7c a2 5a 59 5b 5e 5f 5d c3 55 89 e5 57 56 53 83 ec 08 0f 1f 44 00 00 89 d3 8b 12 89 c7 8b b3 6c 01 00 00 <c7> 46 28 00 00 00 00 c7 46 2c 00 00 00 00 83 3a 00 74 39 8d 42 
EIP: [<f84ee6c7>] sierra_close+0x1a/0x7f [sierra] SS:ESP 0068:f5423e88
---[ end trace 5facee82f64ec37d ]---
BUG: unable to handle kernel NULL pointer dereference at 00000028
IP: [<f84ee6c7>] sierra_close+0x1a/0x7f [sierra]
*pdpt = 0000000035417001 *pde = 000000013b42c067 
Oops: 0002 [#2] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:1d.1/usb6/6-1/idProduct
Modules linked in: sierra usbserial arc4 ecb thinkpad_acpi snd_hda_codec_analog hwmon snd_hda_intel uvcvideo snd_hda_codec iwlagn videodev snd_hwdep i2c_i801 pcspkr iwlcore v4l1_compat snd_pcm iTCO_wdt lib80211 iTCO_vendor_support snd_timer snd mac80211 soundcore snd_page_alloc cfg80211 btusb bluetooth e1000e i915 drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]

Pid: 1198, comm: nm-modem-probe Tainted: G      D    (2.6.29.6-217.2.3.fc11.i686.PAE #1) 647815G
EIP: 0060:[<f84ee6c7>] EFLAGS: 00010296 CPU: 0
EIP is at sierra_close+0x1a/0x7f [sierra]
EAX: f589f000 EBX: f5907600 ECX: f5859f80 EDX: f58e5cc0
ESI: 00000000 EDI: f589f000 EBP: f54d1e9c ESP: f54d1e88
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process nm-modem-probe (pid: 1198, ti=f54d0000 task=f6799940 task.ti=f54d0000)
Stack:
 00000246 f5907654 f5907600 f84efc3c f58e5cc0 f54d1ec4 f8bf083a f54d1ec4
 f5859f80 f84f0088 f589f000 f5907654 f589f000 00000000 00000000 f54d1f54
 c05ca878 00000000 c0971c00 0000000a 00000046 c3793204 f54b4ca0 f54d1ef0
Call Trace:
 [<f8bf083a>] ? serial_close+0x7f/0x121 [usbserial]
 [<c05ca878>] ? tty_release_dev+0x146/0x3b7
 [<c043a04d>] ? do_softirq+0x68/0x7e
 [<c0567d28>] ? trace_hardirqs_on_thunk+0xc/0x10
 [<c04095ab>] ? restore_nocheck_notrace+0x0/0xe
 [<c05caae9>] ? tty_release+0x0/0x21
 [<c04213f3>] ? __ticket_spin_lock+0x13/0x19
 [<c05cab00>] ? tty_release+0x17/0x21
 [<c04a9421>] ? __fput+0xce/0x15b
 [<c04a94c6>] ? fput+0x18/0x1a
 [<c04a6ab5>] ? filp_close+0x56/0x60
 [<c04a6b33>] ? sys_close+0x74/0xac
 [<c040945f>] ? sysenter_do_call+0x12/0x34
Code: 55 f0 0f b6 42 0e 39 c7 7c a2 5a 59 5b 5e 5f 5d c3 55 89 e5 57 56 53 83 ec 08 0f 1f 44 00 00 89 d3 8b 12 89 c7 8b b3 6c 01 00 00 <c7> 46 28 00 00 00 00 c7 46 2c 00 00 00 00 83 3a 00 74 39 8d 42 
EIP: [<f84ee6c7>] sierra_close+0x1a/0x7f [sierra] SS:ESP 0068:f54d1e88
---[ end trace 5facee82f64ec37e ]---
BUG: unable to handle kernel NULL pointer dereference at 00000028
IP: [<f84ee6c7>] sierra_close+0x1a/0x7f [sierra]
*pdpt = 00000000354a4001 *pde = 000000013a81c067 
Oops: 0002 [#3] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:1d.1/usb6/idVendor
Modules linked in: sierra usbserial arc4 ecb thinkpad_acpi snd_hda_codec_analog hwmon snd_hda_intel uvcvideo snd_hda_codec iwlagn videodev snd_hwdep i2c_i801 pcspkr iwlcore v4l1_compat snd_pcm iTCO_wdt lib80211 iTCO_vendor_support snd_timer snd mac80211 soundcore snd_page_alloc cfg80211 btusb bluetooth e1000e i915 drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]

Pid: 1200, comm: nm-modem-probe Tainted: G      D    (2.6.29.6-217.2.3.fc11.i686.PAE #1) 647815G
EIP: 0060:[<f84ee6c7>] EFLAGS: 00010296 CPU: 1
EIP is at sierra_close+0x1a/0x7f [sierra]
EAX: f589f400 EBX: f5907a00 ECX: f5859100 EDX: f58e5cc0
ESI: 00000000 EDI: f589f400 EBP: f5919e9c ESP: f5919e88
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process nm-modem-probe (pid: 1200, ti=f5918000 task=f5b8bf20 task.ti=f5918000)
Stack:
 f5919e90 c071585f f5907a00 f84efc3c f58e5cc0 f5919ec4 f8bf083a f5919ec4
 f5859100 f84f0088 f589f400 f5907a54 f589f400 00000000 00000002 f5919f54
 c05ca878 00000001 c0971c00 0000000a 00000046 c379e204 f59ed1e0 f5919ef0
Call Trace:
 [<c071585f>] ? _cond_resched+0x29/0x34
 [<f8bf083a>] ? serial_close+0x7f/0x121 [usbserial]
 [<c05ca878>] ? tty_release_dev+0x146/0x3b7
 [<c043a04d>] ? do_softirq+0x68/0x7e
 [<c0567d28>] ? trace_hardirqs_on_thunk+0xc/0x10
 [<c04095ab>] ? restore_nocheck_notrace+0x0/0xe
 [<c05caae9>] ? tty_release+0x0/0x21
 [<c04213f5>] ? __ticket_spin_lock+0x15/0x19
 [<c05cab00>] ? tty_release+0x17/0x21
 [<c04a9421>] ? __fput+0xce/0x15b
 [<c04a94c6>] ? fput+0x18/0x1a
 [<c04a6ab5>] ? filp_close+0x56/0x60
 [<c04a6b33>] ? sys_close+0x74/0xac
 [<c040945f>] ? sysenter_do_call+0x12/0x34
Code: 55 f0 0f b6 42 0e 39 c7 7c a2 5a 59 5b 5e 5f 5d c3 55 89 e5 57 56 53 83 ec 08 0f 1f 44 00 00 89 d3 8b 12 89 c7 8b b3 6c 01 00 00 <c7> 46 28 00 00 00 00 c7 46 2c 00 00 00 00 83 3a 00 74 39 8d 42 
EIP: [<f84ee6c7>] sierra_close+0x1a/0x7f [sierra] SS:ESP 0068:f5919e88
---[ end trace 5facee82f64ec37f ]---

After sleep/hibernation I also regularly lose the modem, with HAL failing to pick it up.
Comment 32 Sergio Monteiro Basto 2009-09-14 08:16:28 EDT
(In reply to comment #28)
> (In reply to comment #22)
> 
> > 
> > With this new 2.6.29.6-213 from koji, yes. I had safely remove the modem while
> > connected to Internet.  
> 
> unfortunately just work on first time , on second crash again.
> Other thing, I have a 32-bit laptop and test it on i686 kernel. 
> So I think is not all resolved. 

Hi ,testing with kernel 2.6.30.5-43.fc11.i686.PAE. I can't crash system anymore ,
I plug and unplug, USB 3G Modem, several times without any problem. 
Now, I think, I can say this issue is fixed.
Thanks,
Comment 33 Fabio Canepa 2009-09-14 08:29:52 EDT
Same here with kernel 2.6.30.5-43.fc11 on x64. No more crash if I unplug the modem while I'm connected to Internet.

Note You need to log in before you can comment on or make changes to this bug.